API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen

POST /v1/time-accounts/transactions/{txId}/approve

POST/v1/time-accounts/transactions/{txId}/approve

Approve a PENDING outside-flex overtime booking (ADR 0050a Phase 2)

Datenmodell

Diese Operation arbeitet auf der Entität Time Account (time_account). Alle 14 Felder — Typ, Validierung, Pflichtangabe, Beziehungen — stehen in der Schema-Referenz.

Request Body

NameTypBeschreibung
notestring

Pfad-Parameter

NameTypBeschreibung
txIderforderlichstring

Beispiel

curl -X POST https://api.codemeta-os.de/v1/time-accounts/transactions/{txId}/approve \
  -H "X-Tenant-Id: $TENANT" \
  -H "Content-Type: application/json" \
  -b cookies.txt \
  -d '{
  "note": "string"
}'
const result = await cm.time-accounts.post({
  "note": "string"
});

Antwortcodes

HTTP Bedeutung
200 Default Response

Suche